package com.hzya.frame.sys.entity;


import java.util.List;

public class ModuleDto {

	//{
	// "service": "服务名称",
	//"value": "存储字段",
	// "id": "id",//组件有数据的时候，传递的组件值
	// "lable": "显示终端",
	// "upId": "上级id",//不传，默认是列表，传递返回树形结构
	// "pageNum": "1",//页数，不传或没有值，查询全部
	// "pageSize": "10"//条数，不传或没有值，查询全部
	//}
	private String service;
	private String tableName;

	private String value;
	private String label;
	private String upId;

	private boolean queryUp;

	private String id;
	private String lableValue;
	private Integer pageNum;
	private Integer pageSize;

	public String getService() {
		return service;
	}

	public void setService(String service) {
		this.service = service;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}


	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getUpId() {
		return upId;
	}

	public void setUpId(String upId) {
		this.upId = upId;
	}

	public Integer getPageNum() {
		return pageNum;
	}

	public void setPageNum(Integer pageNum) {
		this.pageNum = pageNum;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public String getLableValue() {
		return lableValue;
	}

	public void setLableValue(String lableValue) {
		this.lableValue = lableValue;
	}

	public boolean isQueryUp() {
		return queryUp;
	}

	public void setQueryUp(boolean queryUp) {
		this.queryUp = queryUp;
	}
}
